> For the complete documentation index, see [llms.txt](https://docs.scrt.network/secret-network-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.scrt.network/secret-network-documentation/infrastructure/secret-cli/minting.md).

# Minting

Secret Network minting is based on the Comos SDK. For more information on minting [follow this link](https://docs.cosmos.network/master/modules/mint/).

## Available Commands

### Params

You can query for minting/inflation parameters via:

```bash
secretcli q mint params
```

```json
{
  "mint_denom": "uscrt",
  "inflation_rate_change": "0.130000000000000000",
  "inflation_max": "0.100000000000000000",
  "inflation_min": "0.050000000000000000",
  "goal_bonded": "0.670000000000000000",
  "blocks_per_year": "6311520"
}
```

#### Mint Denom

The denomination of the token being minted.

#### Inflation Rate Change

The rate of uscrt inflation changing over-time.

#### Inflation Max

The maximum inflation rate of uscrt tokens over the course of a year.

#### Inflation Min

The minimum inflation rate of uscrt tokens over the course of a year.

#### Goal Bonded

The desired % of uscrt tokens bonded from the supply.

#### Blocks Per Year

The number of minted blocks per year.

### Inflation Value

To query for current inflation value:

```bash
secretcli q mint inflation
```

```bash
# Example inflation value 
0.053814121897161007
```

### Annual Provisions Value

To query for current annual provisions value:

```bash
secretcli q mint annual-provisions
```

```bash
# Example annual provisions value
56489172247714019.069384966908845650
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.scrt.network/secret-network-documentation/infrastructure/secret-cli/minting.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
